Click or drag to resize

CurveTryGetEllipse Method (Plane, Ellipse, Double)

Try to convert this curve into an Ellipse using a custom tolerance.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool TryGetEllipse(
	Plane plane,
	out Ellipse ellipse,
	double tolerance
)

Parameters

plane
Type: Rhino.GeometryPlane
Plane in which the comparison is performed.
ellipse
Type: Rhino.GeometryEllipse
On success, the Ellipse will be filled in.
tolerance
Type: SystemDouble
Tolerance to use when checking.

Return Value

Type: Boolean
true if the curve could be converted into an Ellipse within the given plane.
Version Information

Rhino for Mac

Supported in: 5.4 WIP

Rhino for Windows

Supported in: 6.1 BETA
See Also